commit d395cfa55e026367b5d18217b2aaf95afc610748
Author: freddy77 <freddy77>
Date:   Tue Aug 18 07:26:46 2009 +0000

    remove too strict test

diff --git a/ChangeLog b/ChangeLog
index 6f32d10..b8e1207 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Tue Aug 18 09:27:03 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/tds_checks.c:
+	- remove too strict test (fails for Sybase LONGCHAR)
+
 Mon Aug 17 18:52:20 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/login.c: applied David Wood patch for Sybase host process
 
@@ -1715,4 +1719,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2838 2009/08/17 16:52:31 freddy77 Exp $
+$Id: ChangeLog,v 1.2839 2009/08/18 07:26:46 freddy77 Exp $
diff --git a/src/tds/tds_checks.c b/src/tds/tds_checks.c
index 50f60de..628277d 100644
--- a/src/tds/tds_checks.c
+++ b/src/tds/tds_checks.c
@@ -44,7 +44,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: tds_checks.c,v 1.23 2009/06/12 08:53:49 freddy77 Exp $");
+TDS_RCSID(var, "$Id: tds_checks.c,v 1.24 2009/08/18 07:26:46 freddy77 Exp $");
 
 #if ENABLE_EXTRA_CHECKS
 
@@ -203,8 +203,6 @@ tds_check_column_extra(const TDSCOLUMN * column)
 		varint_ok = 1;
 	} else if (column->column_type == SYBVARIANT) {
 		assert(column->column_varint_size == 4);
-	} else {
-		assert(column->column_varint_size < 3);
 	}
 	tds.minor_version = 0;
 	tds.major_version = 5;

